Welcome!

This community is for professionals and enthusiasts of our products and services. Share and discuss the best content and new marketing ideas, build your professional profile and become a better marketer together.

0

No puedo facturar en homologacion

por
Federico
en 22/9/17 01:58 352 vistas

Hola, creo que al fin tengo todo instalado y sin errores, pero no puedo hacer andar la facturacion en homologacion.

Ya agregué en los parámetros del sistema la clave afip.ws.env.type con valor homologation, pero no hubo diferencia.

En conexiones, de servicios web de afip, no aparece nada.

Me tira el erro cuando pruebo la conexión de que el certificado no es para produccion.

Es para Odoo 9.

Me está faltando algo más?


1
Ariel
En 22/9/17 02:56

Asumo que tú certificado es de homologación no? Si es así estaría bueno que publiques el error quizá podemos ayudarte.

  • Marcar

Perdón Ariel se me pasó, mi mail es fedelatorre@gmail.com , cualquier ayuda te la agradecería.

Federico
de 22/9/17 23:09

0
Federico
En 22/9/17 12:28

Hola Ariel, si, el certificado es de homologación, cuando voy a diarios, y toco en obtener conexión me salta "Certificado no confirmado para homologation en la compañía Vignelli", que s lo mismo que aparece en el video, que en ese caso lo soluciona agregando el parámetro de sistema afip.ws.env.type con valor homologation. Yo lo hice, pero después en conexiones no aparece nada, y sigue tirando ese error...

No se si estará relacionado, pero también me di cuenta que si quiero actualizar desde el padrón de afip me salta este error:

 

Odoo Server Error

Traceback (most recent call last): File "/usr/lib/python2.7/dist-packages/openerp/http.py", line 650, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python2.7/dist-packages/openerp/http.py", line 687, in dispatch result = self._call_function(**self.params) File "/usr/lib/python2.7/dist-packages/openerp/http.py", line 323, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python2.7/dist-packages/openerp/service/model.py", line 118, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python2.7/dist-packages/openerp/http.py", line 316, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python2.7/dist-packages/openerp/http.py", line 966, in __call__ return self.method(*args, **kw) File "/usr/lib/python2.7/dist-packages/openerp/http.py", line 516, in response_wrap response = f(*args, **kw) File "/usr/lib/python2.7/dist-packages/openerp/addons/web/controllers/main.py", line 899, in call_button action = self._call_kw(model, method, args, {}) File "/usr/lib/python2.7/dist-packages/openerp/addons/web/controllers/main.py", line 887, in _call_kw return getattr(request.registry.get(model), method)(request.cr, request.uid, *args, **kwargs) File "/usr/lib/python2.7/dist-packages/openerp/api.py", line 250, in wrapper return old_api(self, *args, **kwargs) File "/usr/lib/python2.7/dist-packages/openerp/api.py", line 381, in old_api result = method(recs, *args, **kwargs) File "/home/fede/addons/adhoc/l10n_ar_account/res_config.py", line 53, in refresh_activities_from_padron self.refresh_from_padron("actividades") File "/usr/lib/python2.7/dist-packages/openerp/api.py", line 248, in wrapper return new_api(self, *args, **kwargs) File "/home/fede/addons/adhoc/l10n_ar_account/res_config.py", line 71, in refresh_from_padron padron = PadronAFIP() File "/usr/local/lib/python2.7/dist-packages/pyafipws/padron.py", line 98, in __init__ self.db = sqlite3.connect(self.db_path) OperationalError: unable to open database file

 

A todo esto, en el log file del servidor no me saltan errores y fui instalando todas las dependencias que aparecían hasta que ya no aparecen errores.

  • Marcar

Ok, el error estoy seguro esta en que el estado del certificado es no confirmado. (FIjate que en "ESTADO" el certificado debe estar en la etapa confirmado.=) EStoy seguro q ese es el problema. Ahora, lo que me descoloca es el segundo error en el update. Yo estuve teniendo problemas con una instalacion que tambien me da un error en el update. Pregunta. Esta instalcion la tenes en la nube?? Quiza si veo el paso en el que esta te puedo ayudar. Fijate eso o tirame tu correo y nos ponemos en contacto.

Ariel
de 22/9/17 15:14

Hola Ariel, muchas gracias, tenías razón, lo que pasó que generé el certificado desde un escritorio remoto, y después me puse a usar otra pc entonces figuraba en cancelado o borrador, ya lo solucioné, pero ahora aparece esto "No se puede conectar. Esto es lo que recibimos: ns1:cms.cert.untrusted: Certificado no emitido por AC de confianza" Por el segundo error, lo tengo instalado en un servidor virtual ubuntu 14, en un server windows 2012.

Federico
de 22/9/17 18:47

Este error que te quedo aca Federico es porque estas usando un certificado de homologacion en produccion o uno de produccion en homologacion. Revisa eso.

Ariel
de 25/9/17 15:49

Hola Ariel, ya lo solucioné, estaba generando desde el certificado para homologación en el mismo lugar que el de producción y la afip ahora tiene un aplicativo diferente, lo hice por ahí y ahora conecta perfecto. Sigo igual con el erro del servidor al actualizar el padrón...

Federico
de 25/9/17 18:59

Ya solucioné el error que tira al actualizar el padrón, hay que cambiarle los permisos a la carpeta payafipws, en la ruta /usr/local/lib/python2.7/dist-packages . Al menos en mi instalación está en esa ruta.

Federico
de 26/9/17 01:46

Mantener informado

Acerca de esta comunidad

Esta comunidad es para profesionales y entusiastas de nuestros productos y servicios, compartir los mejores contenidos y nuevas ideas de marketing, construir su perfil profesional y mejorar el mercado para todos. Lea las directrices

Herramientas de las preguntas

75 seguidor(es)

Estadísticas

Preguntado: 22/9/17 01:58
Visto: 352 veces
Última actualización: 14/4/18 12:41